PartitionInformation (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf.impl

## Class PartitionInformation

- java.lang.Object
- - tv.amwa.maj.io.mxf.impl.PartitionInformation

- All Implemented Interfaces:
    Comparable<PartitionInformation>

      public class PartitionInformation
      extends Object
      implements Comparable<PartitionInformation>

  Holds random index pack data relating to a single partition.

  See Also:
    `RandomIndexPackImpl`, `PartitionImpl`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartitionInformation()`
    `PartitionInformation(PartitionImpl partition, long offset, int sid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areSIDsKnown()`
    `int` | `compareTo(PartitionInformation o)`
    `int` | `getBodySID()`
    `long` | `getByteOffset()`
    `long` | `getEssenceStart()`
    `long` | `getEstimatedStreamOffset()`
    `int` | `getIndexSID()`
    `PartitionImpl` | `getPartition()`
    `long` | `getStreamOffset()`
    `void` | `setAreSIDsKnown(boolean knownSIDs)`
    `void` | `setBodySID(int bodySID)`
    `void` | `setByteOffset(long byteOffset)`
    `void` | `setEssenceStart(long essenceStart)`
    `void` | `setEstimatedStreamOffset(long estimatedStreamOffset)`
    `void` | `setIndexSID(int indexSID)`
    `void` | `setPartition(PartitionImpl partition)`
    `void` | `setSIDs(int bodySID, int indexSID)`
    `void` | `setStreamOffset(long streamOffset)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartitionInformation

          public PartitionInformation(PartitionImpl partition,
                                      @MXFPosition
                                      long offset,
                                      @UInt32
                                      int sid)

    - #### PartitionInformation

          public PartitionInformation()

  - ### Method Detail

    - #### compareTo

          public int compareTo(PartitionInformation o)

      Specified by:
        `compareTo` in interface `Comparable<PartitionInformation>`

    - #### getPartition

          public PartitionImpl getPartition()

    - #### setPartition

          public void setPartition(PartitionImpl partition)

    - #### getBodySID

          @UInt32
          public int getBodySID()

    - #### setBodySID

          public void setBodySID(@UInt32
                                 int bodySID)
                          throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getIndexSID

          @UInt32
          public int getIndexSID()

    - #### setIndexSID

          public void setIndexSID(@UInt32
                                  int indexSID)
                           throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### areSIDsKnown

          public boolean areSIDsKnown()

    - #### setAreSIDsKnown

          public void setAreSIDsKnown(boolean knownSIDs)

    - #### setSIDs

          public void setSIDs(@UInt32
                              int bodySID,
                              @UInt32
                              int indexSID)
                       throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getByteOffset

          @MXFPosition
          public long getByteOffset()

    - #### setByteOffset

          public void setByteOffset(@MXFPosition
                                    long byteOffset)

    - #### getStreamOffset

          @MXFPosition
          public long getStreamOffset()

    - #### setStreamOffset

          public void setStreamOffset(@MXFPosition
                                      long streamOffset)

    - #### getEstimatedStreamOffset

          @MXFPosition
          public long getEstimatedStreamOffset()

    - #### setEstimatedStreamOffset

          public void setEstimatedStreamOffset(@MXFPosition
                                               long estimatedStreamOffset)

    - #### getEssenceStart

          @MXFPosition
          public long getEssenceStart()

    - #### setEssenceStart

          public void setEssenceStart(@MXFPosition
                                      long essenceStart)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.